import { AfterViewInit } from '@angular/core';
import { FVAbstractControl } from '../../../shared/abstract-control.component';
import { ProcessService } from '../../../../services/process.service';
export declare class FVControlsNumberFieldComponent extends FVAbstractControl implements AfterViewInit {
    constructor(process: ProcessService);
    readonly controlType: string;
    ngAfterViewInit(): void;
    private toDecimal(num, precision);
}
